.site-header:has(.swnav.active) {
  overflow: visible;
}
body:has(.swnav.active)::after {
  content:"";
  display:block;
  background:var(--color-background);
  opacity:0.9;
  position:fixed;
  top:0;
  left:0;
  height:100vh;
  width:100vw;
  z-index:20;
  transition: opacity .5s;
}
.swnav {
  display: flex;
  list-style: none;
  margin: 0 auto;
  max-width: calc(100% - 2rem);
  position: absolute;
  z-index: 1;
  border-radius: 2rem;
  top: 1em;
  left: 1rem;
  width: 100%;
  padding: 2em;
  font-size:16px;
  background: var(--color-primary);
  /* Animation startläge */
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  transition: max-height 0.4s ease, opacity 0.3s ease, visibility 0s linear 0.4s;
}

.swnav li {
  position: relative;
}

.swnav a {
  display: inline-block;
  padding: 0 .7rem;
  text-decoration: none;
  width:100%;
}

.swnav.active {
  flex-direction: row;
  flex-wrap:wrap;
  height:auto;
  max-height: 100vh; /* Justera efter behov */
  opacity: 1;
  visibility: visible;
  transition: max-height 0.4s ease, opacity 0.3s ease, visibility 0s;
}

.swnav.active a {
  color: var(--color-background);
  margin: 0 0 1rem;
  padding: 0 0 1rem;
  border-bottom: 1px solid var(--color-background);
}

.toggle-icon {
  display: block;
  height:100%;
}

.menu-toggle {
  display: block;
  background-color: transparent;
  color:var(--color-primary);
  border: none;
  padding: 0;
  cursor: pointer;
}
.menu-close {
  position: absolute;
  top: 24px;
  right: 24px;
  font-size: 2rem;
  z-index: 1001;
  background:transparent;
  color:var(--cloudy-white);
  border:none;
  cursor:pointer;
}

@media (min-width: 992px) {
  .swnav {
    position: static;
    max-height: none !important;
    max-width: 100%;
    opacity: 1 !important;
    visibility: visible !important;
    flex-direction: row;
    background: none;
    padding: 0;
  }
  .swnav a {
    color:var(--color-text)
  }
  .swnav .current-menu-item a {
    text-decoration: underline;
    text-underline-offset: 6px;
    text-decoration-thickness: 2px; 
  }
  .menu-toggle {
    display: none;
  }
}

/* Övrigt */
@media(min-width:992px) {
  .swnav .mobile-only {
    display:none;
  }
}

@media screen and (max-width: 991px) {
  .swnav li {
    width: 100%;
  }
  li.item-small, li.item-small a {
    width:auto;
    font-size:14px;
    margin: 0!important;
    padding:0!important;
  }
  li.item-small {
    margin: 1rem 1rem 0 0!important;
  }
  li.item-small a {
    padding:.2rem .8rem!important;
    border:1px solid var(--color-background);
    border-radius: 8px;
  }
}

/* Pulsande cirkel före länken */
li#menu-item-6920 a::before {
  content: '';
  display: inline-block;
  width: 16px;
  height: 16px;
  margin: 0 8px -1px 0;
  border-radius: 50%;
  background-color: var(--berry);
  animation: pulse 2.5s infinite;
}

/* Puls-effekt */
@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 0.2;
  }
  50% {
    transform: scale(1.1);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0.2;
  }
}

/* Min agenda */
@media(min-width:992px) {
li.item-account a::before {
  content:"";
  display: block;
  width: 20px;
  height: 20px;
  margin-left: 1rem;
  background-image: url('/wp-content/themes/sw27/assets/img/agenda-icon.svg');
  background-size: contain;
  transform: translateY(3px);
}
  li.item-account span {
  display: none;
}
}